# AltitudeRange.java

    package io.github.js0ny.ilp_coursework.data.common;

    import io.github.js0ny.ilp_coursework.data.external.RestrictedArea;

    /**
     * Represents a range of altitude values (that is a fly-zone in {@link RestrictedArea}).
     *
     * @param lower The lower bound of the altitude range.
     * @param upper The upper bound of the altitude range. If {@code upper = -1}, then the region is not
     *     a fly zone.
     */
    public record AltitudeRange(double lower, double upper) {}